### Method

# WebKit2WebExtension DOMMouseEvent init_mouse_event

#### Declaration [src]

    void
    webkit_dom_mouse_event_init_mouse_event (
      WebKitDOMMouseEvent* self,
      const gchar* type,
      gboolean canBubble,
      gboolean cancelable,
      WebKitDOMDOMWindow* view,
      glong detail,
      glong screenX,
      glong screenY,
      glong clientX,
      glong clientY,
      gboolean ctrlKey,
      gboolean altKey,
      gboolean shiftKey,
      gboolean metaKey,
      gushort button,
      WebKitDOMEventTarget* relatedTarget
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`type` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`canBubble` | `gboolean`
| A #gboolean.
`cancelable` | `gboolean`
| A #gboolean.
`view` | `WebKitDOMDOMWindow`
| A `WebKitDOMDOMWindow`.
| The data is owned by the caller of the function.
`detail` | `glong`
| A #glong.
`screenX` | `glong`
| A #glong.
`screenY` | `glong`
| A #glong.
`clientX` | `glong`
| A #glong.
`clientY` | `glong`
| A #glong.
`ctrlKey` | `gboolean`
| A #gboolean.
`altKey` | `gboolean`
| A #gboolean.
`shiftKey` | `gboolean`
| A #gboolean.
`metaKey` | `gboolean`
| A #gboolean.
`button` | `gushort`
| A #gushort.
`relatedTarget` | `WebKitDOMEventTarget`
| A `WebKitDOMEventTarget`.
| The data is owned by the caller of the function.